> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vocode.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agents



## OpenAPI

````yaml get /v1/agents/list
openapi: 3.1.0
info:
  title: Vocode Hosted API
  description: |2-

            Vocode's Hosted API helps you automate phone calls in minutes. 🚀

            ## Numbers

            You can buy phone lines and place agents on them.

            ## Calls

            You can start, end, and get information about calls.
            
  termsOfService: http://example.com/terms/
  contact:
    name: Support
    email: support@vocode.dev
  version: 1.0.0
servers:
  - url: https://api.vocode.dev
    description: Production environment
    x-fern-server-name: Production
security: []
tags:
  - name: numbers
    description: Operations with phone numbers.
  - name: calls
    description: Manage calls.
paths:
  /v1/agents/list:
    get:
      tags:
        - agents
      summary: List Agents
      operationId: list_agents
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
            title: Page
        - name: size
          in: query
          required: false
          schema:
            type: integer
            default: 10
            title: Size
        - name: sort_column
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort Column
        - name: sort_desc
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            default: false
            title: Sort Desc
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentPage'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AgentPage:
      properties:
        items:
          items:
            $ref: '#/components/schemas/NormalizedAgent'
          type: array
          title: Items
        page:
          type: integer
          title: Page
        size:
          type: integer
          title: Size
        has_more:
          type: boolean
          title: Has More
        total:
          type: integer
          title: Total
        total_is_estimated:
          type: boolean
          title: Total Is Estimated
      type: object
      required:
        - items
        - page
        - size
        - has_more
        - total
        - total_is_estimated
      title: AgentPage
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NormalizedAgent:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        prompt:
          anyOf:
            - type: string
              format: uuid
            - $ref: '#/components/schemas/PromptParams'
          title: Prompt
        language:
          allOf:
            - $ref: '#/components/schemas/Language'
          default: en
        actions:
          items:
            type: string
            format: uuid
          type: array
          title: Actions
        voice:
          type: string
          format: uuid
          title: Voice
        initial_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Initial Message
        webhook:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Webhook
        vector_database:
          anyOf:
            - type: string
              format: uuid
            - $ref: '#/components/schemas/PineconeVectorDatabaseParams'
            - type: 'null'
          title: Vector Database
        interrupt_sensitivity:
          allOf:
            - $ref: '#/components/schemas/InterruptSensitivity'
          default: low
        context_endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: Context Endpoint
        noise_suppression:
          type: boolean
          title: Noise Suppression
          default: false
        endpointing_sensitivity:
          type: string
          enum:
            - auto
            - relaxed
            - sensitive
          title: Endpointing Sensitivity
          default: auto
        ivr_navigation_mode:
          type: string
          enum:
            - default
            - 'off'
          title: Ivr Navigation Mode
          default: 'off'
        conversation_speed:
          type: number
          title: Conversation Speed
          default: 1
        initial_message_delay:
          type: number
          title: Initial Message Delay
          default: 0
        openai_model_name_override:
          anyOf:
            - type: string
            - type: 'null'
          title: Openai Model Name Override
        ask_if_human_present_on_idle:
          type: boolean
          title: Ask If Human Present On Idle
          default: false
        openai_account_connection:
          anyOf:
            - $ref: '#/components/schemas/OpenAIAccountConnection'
            - type: string
              format: uuid
            - type: 'null'
          title: Openai Account Connection
        run_do_not_call_detection:
          type: boolean
          title: Run Do Not Call Detection
          default: false
        llm_fallback:
          anyOf:
            - $ref: '#/components/schemas/InternalLLMFallback'
            - type: 'null'
        deepgram_keywords:
          anyOf:
            - additionalProperties:
                anyOf:
                  - type: integer
                  - type: number
              type: object
            - type: 'null'
          title: Deepgram Keywords
        idle_time_seconds:
          anyOf:
            - type: integer
            - type: 'null'
          title: Idle Time Seconds
        llm_temperature:
          type: number
          title: Llm Temperature
          default: 0
      type: object
      required:
        - id
        - user_id
        - prompt
        - actions
        - voice
      title: NormalizedAgent
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PromptParams:
      properties:
        content:
          type: string
          title: Content
          default: ''
        collect_fields:
          anyOf:
            - items:
                $ref: '#/components/schemas/CollectField'
              type: array
            - type: 'null'
          title: Collect Fields
        context_endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: Context Endpoint
        prompt_template:
          anyOf:
            - type: string
              format: uuid
            - $ref: '#/components/schemas/PromptTemplate'
            - type: 'null'
          title: Prompt Template
      type: object
      title: PromptParams
    Language:
      type: string
      enum:
        - en
        - es
        - de
        - hi
        - pt
        - fr
        - nl
        - id
        - it
        - ja
        - ko
      title: Language
    PineconeVectorDatabaseParams:
      properties:
        type:
          type: string
          enum:
            - vector_database_pinecone
          const: vector_database_pinecone
          title: Type
        index:
          type: string
          title: Index
        api_key:
          type: string
          title: Api Key
        api_environment:
          type: string
          title: Api Environment
      type: object
      required:
        - type
        - index
        - api_key
        - api_environment
      title: PineconeVectorDatabaseParams
    InterruptSensitivity:
      type: string
      enum:
        - low
        - high
      title: InterruptSensitivity
    OpenAIAccountConnection:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        credentials:
          $ref: '#/components/schemas/OpenAICredentials'
        type:
          type: string
          enum:
            - account_connection_openai
          const: account_connection_openai
          title: Type
      type: object
      required:
        - id
        - user_id
        - credentials
        - type
      title: OpenAIAccountConnection
    InternalLLMFallback:
      properties:
        provider:
          type: string
          enum:
            - openai
            - azure
          title: Provider
        model_name:
          type: string
          title: Model Name
      type: object
      required:
        - provider
        - model_name
      title: InternalLLMFallback
    CollectField:
      properties:
        field_type:
          type: string
          enum:
            - field_type_email
          const: field_type_email
          title: Field Type
        label:
          type: string
          title: Label
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - field_type
        - label
        - name
      title: CollectField
    PromptTemplate:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        label:
          type: string
          title: Label
          default: ''
        required_context_keys:
          items:
            type: string
          type: array
          title: Required Context Keys
      type: object
      required:
        - id
        - user_id
        - required_context_keys
      title: PromptTemplate
    OpenAICredentials:
      properties:
        openai_api_key:
          type: string
          title: Openai Api Key
      type: object
      required:
        - openai_api_key
      title: OpenAICredentials
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````